------------------------------------------------------------------------------
--                                                                          --
--                           GNAT RAVENSCAR for NXT                         --
--                                                                          --
--                        Copyright (C) 2011, AdaCore                       --
--                                                                          --
-- This is free software; you can  redistribute it  and/or modify it under  --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. This is distributed in the hope that it will be useful, but WITH-  --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNARL; see file COPYING.  If not, write --
-- to  the Free Software Foundation,  59 Temple Place - Suite 330,  Boston, --
-- MA 02111-1307, USA.                                                      --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------

with NXT.AVR;

package body NXT.Motor_Controls is

   -------------------
   -- Control_Motor --
   -------------------

   procedure Control_Motor
     (Id    : Motor_Id;
      Power : Power_Percentage;
      Mode  : Motion_Modes)
   is
      Applied_Power : PWM_Value;
      Applied_Brake : Boolean := False;
   begin
      if Mode not in Forward .. Backward then
         Applied_Power := 0;
      elsif Mode = Backward then
         Applied_Power := -Power;
      else -- must be forward
         Applied_Power := Power;
      end if;
      if Mode = Brake then
         Applied_Brake := True;
      end if;
      NXT.AVR.Set_Power (Id, Applied_Power, Applied_Brake);
   end Control_Motor;

end NXT.Motor_Controls;
